import { Browser } from "@v-act/vjs.framework.extension.platform.services.browser";
import { ScopeManager } from "@v-act/vjs.framework.extension.platform.interface.scope";
import { WidgetContext } from "@v-act/vjs.framework.extension.platform.services.view.widget.common.context";
import { render as render$1 } from "@v-act/vjs.framework.extension.platform.services.view.window.render.mode.currentwindow";
var getRootWindow = function() {
  var windowScope = ScopeManager.getWindowScope();
  var parentId = ScopeManager.getParentScopeId(windowScope.getInstanceId());
  if (parentId) {
    ScopeManager.openScope(parentId);
    var scope = getRootWindow();
    ScopeManager.closeScope();
    return scope;
  }
  return windowScope;
};
function render(params) {
  var windowScope = ScopeManager.getWindowScope();
  var series = windowScope.getSeries();
  var version = WidgetContext.get(windowScope.getWindowCode(), "version");
  if (series == "bootstrap_mobile" && version == "4") {
    var root = getRootWindow();
    var rootScopeId = root.getInstanceId();
    ScopeManager.openScope(rootScopeId);
    render$1.render(params);
    ScopeManager.closeScope();
  } else {
    var componentCode = params.componentCode;
    var windowCode = params.windowCode;
    var title = params.title;
    var windowInputParams = params.inputs;
    Browser.redirectLocation({
      componentCode,
      windowCode,
      title: title == void 0 || title == null ? title : encodeURIComponent(title),
      inputParam: windowInputParams
    });
  }
}
export { render };
